/*test get-document-element method*/
function getDocumentElement returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hNode1 as handle.
   def var hNode2 as handle.
   def var res as logical init false.
   def var c as character.

   create x-document hDoc.
   create x-noderef hRoot.
   create x-noderef hNode1.


   hDoc:create-node(hNode1,"hNode1","element") no-error.
   res = hDoc:get-document-element(hNode1).
   if not res then "Unexpected error: get-document-element".
   hNode1:name no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
               then message "Unexpected error get-document-element: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hRoot,"root","element") no-error.

   hDoc:append-child(hRoot).

   hDoc:get-document-element(hNode2) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
            then message "Unexpected error get-document-element: " error-status:get-number(1) " " error-status:get-message(1).

   /*check here that hRoot has been changed and now doesn't contains old node*/
   res = hDoc:get-document-element(hNode1).
   if hNode1:name <> "root"
      then message "Unexpected error get-document-element2".

   return 0.
end.

getDocumentElement(-1).