/*test subtype attribute X-NODEREF*/
function getSubType returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-noderef hRoot.
   create x-noderef hChild.
   create x-noderef hTemp.

   hDoc:create-node(hRoot,"root","element").
   hDoc:create-node(hChild,"","text").
   hDoc:append-child(hRoot).
   hRoot:append-child(hChild).
   hTemp:subtype no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
         then message "Unexpected error subtype: " error-status:get-number(1) " " error-status:get-message(1).

   if hRoot:subtype <> "ELEMENT" or hChild:subtype <> "TEXT" or hDoc:subtype <> "DOCUMENT" then message "Unexpected error subtype".

   hRoot:subtype = "asd" no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4052
            then message "Unexpected error subtype: " error-status:get-number(1) " " error-status:get-message(1).

   return 0.
end.

getSubType(-1).