/*test import-node X-NODEREF*/
function importNode returns int (err-num as int):
   def var hDoc as handle.
   def var hDoc2 as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var hTemp2 as handle.

   def var i  as int no-undo.

   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-document hDoc2.
   create x-noderef hChild.
   create x-noderef hTemp.
   create x-noderef hRoot.


   hDoc2:create-node(hRoot, "root", "element").
   res = ?.
   hDoc:import-node(hTemp2, hRoot, res) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
         then message "Unexpected error import-node case 1: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:import-node(hRoot, hTemp2, res) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
         then message "Unexpected error import-node case 2: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:import-node(hRoot, hRoot, res) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
         then message "Unexpected error import-node case 3: " error-status:get-number(1) " " error-status:get-message(1).

   /* hRoot become invalid*/
   hRoot:name no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
         then message "Unexpected error import-node case 4: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc2:create-node(hRoot, "root", "element").
   create x-noderef hTemp2.
   hDoc:import-node(hTemp2, hRoot, res).

   hDoc:append-child(hTemp2).

   return 0.
end.

importNode(-1).