/*test remove-child attribute X-NODEREF*/
function removeChild returns int (err-num as int):
   def var hDoc as handle.
   def var hDoc2 as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-document hDoc2.
   create x-noderef hChild.
   create x-noderef hTemp.

   hDoc:remove-child(hRoot) no-error.

   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
            then message "Unexpected error remove-child: " error-status:get-number(1) " " error-status:get-message(1).

   hTemp:remove-child(hChild) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
               then message "Unexpected error remove-child: " error-status:get-number(1) " " error-status:get-message(1).

   hTemp:remove-child(hRoot) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
            then message "Unexpected error remove-child: " error-status:get-number(1) " " error-status:get-message(1).

   create x-noderef hRoot.
   hDoc:create-node(hRoot,"root","element").
   hDoc:create-node(hChild,"root1","element").
   hDoc:create-node(hTemp,"root2","element").
   hDoc:append-child(hRoot).
   hRoot:append-child(hChild).

   hDoc2:remove-child(hRoot) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
                  then message "Unexpected error remove-child: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:remove-child(hRoot).
   hDoc:remove-child(hRoot) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
                  then message "Unexpected error remove-child: " error-status:get-number(1) " " error-status:get-message(1).

   return 0.
end.

removeChild(-1).