
/*test set-attribute-node attribute X-NODEREF*/
function setAttributeNode returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hAttr as handle.
   def var hChild2 as handle.
   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-noderef hRoot.
   create x-noderef hChild.
   create x-noderef hAttr.
   create x-noderef hChild2.

   hDoc:create-node(hRoot,"root","element").

   hChild:set-attribute-node(hDoc) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error set-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   hChild:set-attribute-node(hRoot) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
      then message "Unexpected error set-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hChild,"","text").
   hDoc:create-node(hChild2,"ddd","element").
   hDoc:append-child(hRoot).
   hRoot:append-child(hChild).

   hRoot:set-attribute-node(hDoc) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error set-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   hRoot:set-attribute-node(hAttr) no-error.

   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
      then message "Unexpected error set-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hAttr,"ttt","attribute").

   hChild:set-attribute-node(hAttr) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
      then message "Unexpected error set-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   res = hRoot:set-attribute-node(hAttr).
   if not res then message "Unexpected error set-attribute-node".

   hChild2:set-attribute-node(hAttr) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9082
         then message "Unexpected error set-attribute-node: " error-status:get-number(1) " " error-status:get-message(1).

   return 0.
end.

setAttributeNode(-1).