
/*test GET-ATTRIBUTE attribute X-NODEREF*/
function getAttribute returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-noderef hRoot.
   create x-noderef hChild.

   hRoot:get-attribute("test") no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
         then message "Unexpected error get-attribute: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hRoot,"root","element").
   hDoc:create-node(hChild,"","text").
   hDoc:append-child(hRoot).
   hRoot:append-child(hChild).

   hRoot:get-attribute(?) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
         then message "Unexpected error get-attribute: " error-status:get-number(1) " " error-status:get-message(1).

   hChild:get-attribute("test").
   hRoot:set-attribute("test", "data").
   c = hRoot:get-attribute("test").
   if c <> "data" then message "Unexpected error get-attribute".
   if hChild:get-attribute("test") <> "" then message "Unexpected error get-attribute".

   return 0.
end.

getAttribute(-1).