/*test node-value-to-longchar and longchar-to-node-value attribute X-NODEREF*/
function longCharNodeValue returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var hTemp2 as handle.

   def var lc1 as longchar no-undo.
   def var lc2 as longchar no-undo.
   def var lc3 as longchar no-undo.
   def var i  as int no-undo.

   def var res as logical init false.
   def var c as character init false.
   create x-document hDoc.
   create x-noderef hChild.
   create x-noderef hTemp.
   create x-noderef hTemp2.
   create x-noderef hRoot.

   hRoot:node-value-to-longchar(lc2) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
      then message "Unexpected error node-value-to-longchar: " error-status:get-number(1) " " error-status:get-message(1).

   lc3 = ?.
   hRoot:longchar-to-node-value(lc2) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 9102
      then message "Unexpected error node-value-to-longchar: " error-status:get-number(1) " " error-status:get-message(1).
   hDoc:create-node(hRoot,"root","element").

   hRoot:longchar-to-node-value(lc3) no-error.
   if error-status:error or error-status:num-messages <> 1 or not error-status:get-number(1) eq 4065
      then message "Unexpected error longchar-to-node-value: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:create-node(hChild, "a", "attribute").
   hDoc:append-child(hRoot).
   hRoot:set-attribute-node(hChild).

   do i=1 to 10000:
      lc1 = lc1 + string(i).
   end.

   hChild:node-value-to-longchar(lc3).

   hChild:longchar-to-node-value(lc1).

   hChild:node-value-to-longchar(lc2).

   if lc1 <> lc2 then message "Unexpected error node-value-to-longchar and longchar-to-node-value".

   lc1 = "<!CDATA &^@!<#$%~027".

   hChild:longchar-to-node-value(lc1).

   return 0.
end.

longCharNodeValue(-1).